/*------------------------------------*\
  text-styles
\*------------------------------------*/

.ts-bigtitle {
  @extend %font-size-xxl;
  @extend %font-body;
}
.ts-title {
  @extend %font-size-xl;
  @extend %font-body;
}
.ts-subtitle {
  @extend %font-size-lg;
  @extend %font-body;
}
.ts-body {
  @extend %font-size-md;
  @extend %font-body;
}
.ts-body-var {
  @extend %font-size-md;
  @extend %font-var;
}
.ts-body-text {
  @extend %font-size-lg;
  @extend %font-body;
}
.ts-body-text-var {
  @extend %font-size-lg;
  @extend %font-var;
}
.ts-small {
  @extend %font-size-sm;
  @extend %font-body;
}
.ts-label {
  @extend %font-size-sm;
  @extend %font-var;
  text-transform: uppercase;
}
@mixin ts-link($color) {
  color: $color;
  text-decoration: none;
  cursor: pointer;
  &:hover {
    color: $color;
    text-decoration: none;
  }
}
.ts-body-link {
  color: $base-color;
  text-decoration: underline;
  &:hover {
    color: $action;
    text-decoration: underline;
  }
}


/*------------------------------------*\
  title
\*------------------------------------*/

.body {
  h1,
  h2,
  h3 {
    @extend .ts-title !optional;
  }
  h4,
  h5,
  h6 {
    @extend .ts-subtitle !optional;
  }
  h2, h3 {
    margin: 2.5rem 0 1rem;
  }
  h4, h5, h6 {
    margin: 1rem 0 1rem;
  }
  h2, h3, h4, h5, h6 {
    & + h2,
    & + h3,
    & + h4,
    & + h5,
    & + h6 {
      margin-top: .5em;
    }
  }
}

/*------------------------------------*\
  paragraph
\*------------------------------------*/

.body {
  @extend .ts-body-text !optional;
  p {
    @extend .ts-body-text !optional;
    margin-bottom: .8em;
  }
}

/*------------------------------------*\
  link
\*------------------------------------*/

.body a {
  @extend .ts-body-link;
}



/*------------------------------------*\
  bold italic
\*------------------------------------*/

.body {
  em,
  i{
    @extend %font-body-italic;
  }
  b,
  strong{
    @extend %font-body-bold;
  }
  em > b,
  b > em,
  i > b,
  b > i,
  em > strong,
  strong > em,
  i > strong,
  strong > i {
    @extend %font-body-bold-italic;
  }
}



/*------------------------------------*\
  blockquote
\*------------------------------------*/

.body blockquote {
  background-color: $base-color;
  color: $body-color;
  margin-top: $spacing-lg;
  margin-bottom: $spacing-lg;
  padding-top: $spacing-sm;
  padding-bottom: $spacing-sm;
  @extend %full-bleed;
  p {
    @extend .ts-body-text-var;
    margin-bottom: 0;
  }
}



/*------------------------------------*\
  definitions
\*------------------------------------*/

.body dl {
  @extend .ts-body !optional;
  dt {
    @extend %font-body-bold;
    padding-bottom: .3em;
    &:first-of-type {
      padding-top: .6em;
      border-top: $border-width-sm solid $base-color;
    }
  }
  dd{
    padding-bottom: .6em;
    margin-bottom: .6em;
    border-bottom: $border-width-sm $base-color solid;
  }
}



/*------------------------------------*\
  list
\*------------------------------------*/

 .body li {
  @extend .ts-label;
 }
// ORDERED
.body ol {
  counter-reset:li;
  li {
    position: relative;
    padding-left: 1.2em;
    margin-bottom: .5em;
    &:before {
      content:counter(li);
      counter-increment:li;
      position: absolute;
      left: 0;
    }
  }
  ol > li:first-of-type {
    margin-top: .5em;
  }
}

// UNORDERED
.body ul {
  li {
    position: relative;
    padding-left: 2em;
    margin-bottom: .5em;
    &:before {
      content: "-";
      position: absolute;
      left: 0;
      font-size: 1em;
    }
  }
  ol > li:first-of-type {
    margin-top: .5em;
  }
}



/*------------------------------------*\
  table
\*------------------------------------*/


.body table {
  width: 100%;
  margin-top: $spacing-sm;
  margin-bottom: $spacing-sm;
  thead {
    border-bottom: $border-width-sm solid $base-color;
  }
  th {
    text-align: left;
    @extend %font-body-bold;
  }
  tbody tr {
    &:nth-child(odd) {
      background-color: rgba($base-color, .05);
    }
  }
  tfoot {
    border-top: $border-width-md solid $base-color;
  }
  th,
  td {
    padding: .5em 0;
  }
  @include media("<sm") {
    th,
    td {
      display: block;
    }
  }
}



/*------------------------------------*\
  spacing
\*------------------------------------*/

.body {
  ul,
  ol,
  .embed-container {
    margin-bottom: 1em;
  }
}



/*------------------------------------*\
  misc
\*------------------------------------*/

.body {
  ol,
  ul {
    list-style: none;
  }
  sub,
  sup {
    font-size: .75em;
    line-height: 0;
    position: relative;
    vertical-align: baseline;
  }
  sup {
    top: -0.5em;
  }
  sub {
    bottom: -0.25em;
  }
  small{
    @extend %font-size-sm;
  }
  abbr {
    border-bottom: $border-width-sm dotted $base-color;
    cursor: help;
  }
  q,
  cite {
    &:before {
      content:'"';
    }
    &:after {
      content:'"';
    }
  }
  mark {
    background-color: rgba($base-color, .6);
    color: $base-color;
  }
  code,
  samp,
  pre {
    font-family: monospace;
    @extend %font-size-sm;
  }
  hr {
    background: $base-color;
    height: $border-width-sm;
    border: none;
    margin-top: $spacing-lg;
    margin-bottom: $spacing-md;
  }
}
